﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v14.2, Version=14.2.20142.2421, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics4.Web.v14.2, Version=14.2.20142.2421, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics4.Web.v14.2, Version=14.2.20142.2421, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.ListControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title></title>
    <script type="text/javascript">
        var index = 100;
        function AddRow() {
            var fn = document.getElementById("tbFirstName").value;
            var ln = document.getElementById("tbLastName").value;
            var rowToAdd = [
                {
                    "Value": index++,
                    "DataKeyField": "col1"
                },
                {
                    "Value": fn,
                    "DataKeyField": "FirstName"
                },
                {
                    "Value": ln,
                    "DataKeyField": "LastName"
                }];

            ig_controls.WebDataGrid1.get_rows().add(rowToAdd);
        }

        function WebDataGrid1_RowAdding_EnteringEditMode(sender, eventArgs) {
            var rowAddBehav = ig_controls.WebDataGrid1.get_behaviors().get_editingCore().get_behaviors().get_rowAdding();
            var row = rowAddBehav.get_row();
            var fn = document.getElementById("tbFirstName").value;
            var ln = document.getElementById("tbLastName").value;
            row.get_cellByColumnKey("FirstName").set_value(fn);
            row.get_cellByColumnKey("LastName").set_value(ln);
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">

        <ig:WebScriptManager ID="WebScriptManager1" runat="server"></ig:WebScriptManager>

        <ig:WebDataGrid ID="WebDataGrid1" runat="server" AutoGenerateColumns="False" Height="350px" Width="100%" DataKeyFields="col1">
            <Columns>
                <ig:BoundDataField DataFieldName="col1" Key="col1">
                    <Header Text="col1" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="FirstName" Key="FirstName" Hidden="true">
                    <Header Text="FirstName" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="LastName" Key="LastName" Hidden="true">
                    <Header Text="LastName" />
                </ig:BoundDataField>
            </Columns>
            <Behaviors>
                <ig:EditingCore BatchUpdating="true">
                    <Behaviors>
                        <ig:RowAdding>
                            <AddNewRowClientEvents EnteringEditMode="WebDataGrid1_RowAdding_EnteringEditMode" />
                        </ig:RowAdding>
                    </Behaviors>
                </ig:EditingCore>

                <ig:Activation>
                </ig:Activation>
            </Behaviors>
        </ig:WebDataGrid>
        <asp:Label ID="Label2" runat="server" Text="FirstName"></asp:Label>
        <input type="text" id="tbFirstName" />
        <asp:Label ID="Label3" runat="server" Text="LastName"></asp:Label>
        <input type="text" id="tbLastName" />
        <input type="button" onclick="AddRow()" value="Add New Row" />
    </form>
</body>
</html>
